Create an NLU Connector - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Create an NLU Connector

cURL

curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/nluconnectors \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "New NLUConnector",
  "type": "cognigy",
  "settings": {
    "invocationName": "<string>",
    "reparseAlexaSlots": true,
    "skill": {
      "lastUpdated": "<string>",
      "nameByLocale": {
        "en-US": "<string>",
        "de-DE": "<string>",
        "ja-JP": "<string>",
        "en-GB": "<string>",
        "en-IN": "<string>"
      },
      "skillId": "<string>",
      "stage": "<string>"
    }
  },
  "transformer": {
    "abortOnError": false,
    "transformerStackEnabled": false,
    "transformer": "<string>",
    "preNluTransformerEnabled": false,
    "postNluTransformerEnabled": false,
    "nluCodeTransformerEnabled": false
  },
  "projectId": "<string>"
}
'
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/nluconnectors"

payload = {
    "name": "New NLUConnector",
    "type": "cognigy",
    "settings": {
        "invocationName": "<string>",
        "reparseAlexaSlots": True,
        "skill": {
            "lastUpdated": "<string>",
            "nameByLocale": {
                "en-US": "<string>",
                "de-DE": "<string>",
                "ja-JP": "<string>",
                "en-GB": "<string>",
                "en-IN": "<string>"
            },
            "skillId": "<string>",
            "stage": "<string>"
        }
    },
    "transformer": {
        "abortOnError": False,
        "transformerStackEnabled": False,
        "transformer": "<string>",
        "preNluTransformerEnabled": False,
        "postNluTransformerEnabled": False,
        "nluCodeTransformerEnabled": False
    },
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'New NLUConnector',
    type: 'cognigy',
    settings: {
      invocationName: '<string>',
      reparseAlexaSlots: true,
      skill: {
        lastUpdated: '<string>',
        nameByLocale: {
          'en-US': '<string>',
          'de-DE': '<string>',
          'ja-JP': '<string>',
          'en-GB': '<string>',
          'en-IN': '<string>'
        },
        skillId: '<string>',
        stage: '<string>'
      }
    },
    transformer: {
      abortOnError: false,
      transformerStackEnabled: false,
      transformer: '<string>',
      preNluTransformerEnabled: false,
      postNluTransformerEnabled: false,
      nluCodeTransformerEnabled: false
    },
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/nluconnectors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/nluconnectors",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'New NLUConnector',
    'type' => 'cognigy',
    'settings' => [
        'invocationName' => '<string>',
        'reparseAlexaSlots' => true,
        'skill' => [
                'lastUpdated' => '<string>',
                'nameByLocale' => [
                                'en-US' => '<string>',
                                'de-DE' => '<string>',
                                'ja-JP' => '<string>',
                                'en-GB' => '<string>',
                                'en-IN' => '<string>'
                ],
                'skillId' => '<string>',
                'stage' => '<string>'
        ]
    ],
    'transformer' => [
        'abortOnError' => false,
        'transformerStackEnabled' => false,
        'transformer' => '<string>',
        'preNluTransformerEnabled' => false,
        'postNluTransformerEnabled' => false,
        'nluCodeTransformerEnabled' => false
    ],
    'projectId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Response Example

{
  "name": "New NLUConnector",
  "type": "cognigy",
  "settings": {
    "invocationName": "<string>",
    "reparseAlexaSlots": true,
    "skill": {
      "lastUpdated": "<string>",
      "nameByLocale": {
        "en-US": "<string>",
        "de-DE": "<string>",
        "ja-JP": "<string>",
        "en-GB": "<string>",
        "en-IN": "<string>"
      },
      "skillId": "<string>",
      "stage": "<string>"
    }
  },
  "transformer": {
    "abortOnError": false,
    "transformerStackEnabled": false,
    "transformer": "<string>",
    "preNluTransformerEnabled": false,
    "postNluTransformerEnabled": false,
    "nluCodeTransformerEnabled": false
  },
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}

Common Errors

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}